Bug 64939 - ICE in extract_insn, at recog.c:2202
Summary: ICE in extract_insn, at recog.c:2202
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.9.2
: P3 normal
Target Milestone: 5.3
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-04 20:46 UTC by Ken Brown
Modified: 2016-10-03 05:05 UTC (History)
0 users

See Also:
Host:
Target: x86_64-pc-cygwin
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
Preprocessed source (89 bytes, text/plain)
2015-02-04 20:56 UTC, Ken Brown
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Brown 2015-02-04 20:46:23 UTC
While trying to build clisp-2.48 on 64-bit Cygwin:

$ gcc -v -save-temps -I/home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/gllib -ggdb -O2 -pipe -Wimplicit-function-declaration -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -Wno-sign-compare -Wno-format-nonliteral -O -falign-functions=4 -DUNICODE -I. -I$(/home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/clisp -K boot -B /home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build -N /home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/locale -E UTF-8 -Epathname 1:1 -Emisc 1:1 -norc -q -b)/linkkit -c regexi.m.c -o regexi.o
gcc: warning: -pipe ignored because -save-temps specified
Using built-in specs.
COLLECT_GCC=gcc
Target: x86_64-pc-cygwin
Configured with: /cygdrive/i/szsz/tmpp/gcc/gcc-4.9.2-2.x86_64/src/gcc-4.9.2/configure --srcdir=/cygdrive/i/szsz/tmpp/gcc/gcc-4.9.2-2.x86_64/src/gcc-4.9.2 --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --libexecdir=/usr/libexec --datadir=/usr/share --localstatedir=/var --sysconfdir=/etc --libdir=/usr/lib --datarootdir=/usr/share --docdir=/usr/share/doc/gcc --htmldir=/usr/share/doc/gcc/html -C --build=x86_64-pc-cygwin --host=x86_64-pc-cygwin --target=x86_64-pc-cygwin --without-libiconv-prefix --without-libintl-prefix --libexecdir=/usr/lib --enable-shared --enable-shared-libgcc --enable-static --enable-version-specific-runtime-libs --enable-bootstrap --enable-__cxa_atexit --with-dwarf2 --with-tune=generic --enable-languages=ada,c,c++,fortran,lto,objc,obj-c++ --enable-graphite --enable-threads=posix --enable-libatomic --enable-libgomp --disable-libitm --enable-libquadmath --enable-libquadmath-support --enable-libssp --enable-libada --enable-libgcj-sublibs --disable-java-awt --disable-symvers --with-ecj-jar=/usr/share/java/ecj.jar --with-gnu-ld --with-gnu-as --with-cloog-include=/usr/include/cloog-isl --without-libiconv-prefix --without-libintl-prefix --with-system-zlib --enable-linker-build-id
Thread model: posix
gcc version 4.9.2 (GCC)
COLLECT_GCC_OPTIONS='-v' '-save-temps' '-I' '/home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/gllib' '-ggdb' '-O2' '-pipe' '-Wimplicit-function-declaration' '-Wextra' '-Wswitch' '-Wcomment' '-Wpointer-arith' '-Wimplicit' '-Wreturn-type' '-Wmissing-declarations' '-Wno-sign-compare' '-Wno-format-nonliteral' '-O' '-falign-functions=4' '-D' 'UNICODE' '-I' '.' '-I' '/home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/linkkit' '-c' '-o' 'regexi.o' '-mtune=generic' '-march=x86-64'
 /usr/lib/gcc/x86_64-pc-cygwin/4.9.2/cc1.exe -E -quiet -v -I /home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/gllib -I . -I /home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/linkkit -Dunix -idirafter /usr/lib/gcc/x86_64-pc-cygwin/4.9.2/../../../../lib/../include/w32api -idirafter /usr/lib/gcc/x86_64-pc-cygwin/4.9.2/../../../../x86_64-pc-cygwin/lib/../lib/../../include/w32api -D UNICODE regexi.m.c -mtune=generic -march=x86-64 -Wimplicit-function-declaration -Wextra -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -Wno-sign-compare -Wno-format-nonliteral -falign-functions=4 -ggdb -fworking-directory -O2 -O -fpch-preprocess -o regexi.m.i
ignoring nonexistent directory "/usr/local/include"
ignoring nonexistent directory "/usr/lib/gcc/x86_64-pc-cygwin/4.9.2/../../../../x86_64-pc-cygwin/include"
ignoring duplicate directory "/usr/lib/gcc/x86_64-pc-cygwin/4.9.2/../../../../x86_64-pc-cygwin/lib/../lib/../../include/w32api"
#include "..." search starts here:
#include <...> search starts here:
 /home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/gllib
 .
 /home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/linkkit
 /usr/lib/gcc/x86_64-pc-cygwin/4.9.2/include
 /usr/lib/gcc/x86_64-pc-cygwin/4.9.2/include-fixed
 /usr/include
 /usr/lib/gcc/x86_64-pc-cygwin/4.9.2/../../../../lib/../include/w32api
End of search list.
COLLECT_GCC_OPTIONS='-v' '-save-temps' '-I' '/home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/gllib' '-ggdb' '-O2' '-pipe' '-Wimplicit-function-declaration' '-Wextra' '-Wswitch' '-Wcomment' '-Wpointer-arith' '-Wimplicit' '-Wreturn-type' '-Wmissing-declarations' '-Wno-sign-compare' '-Wno-format-nonliteral' '-O' '-falign-functions=4' '-D' 'UNICODE' '-I' '.' '-I' '/home/kbrown/src/cygclisp/clisp-2.48-5.x86_64/build/linkkit' '-c' '-o' 'regexi.o' '-mtune=generic' '-march=x86-64'
 /usr/lib/gcc/x86_64-pc-cygwin/4.9.2/cc1.exe -fpreprocessed regexi.m.i -quiet -dumpbase regexi.m.c -mtune=generic -march=x86-64 -auxbase-strip regexi.o -ggdb -O2 -O -Wimplicit-function-declaration -Wextra -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -Wno-sign-compare -Wno-format-nonliteral -version -falign-functions=4 -o regexi.m.s
GNU C (GCC) version 4.9.2 (x86_64-pc-cygwin)
        compiled by GNU C version 4.9.2, GMP version 6.0.0, MPFR version 3.1.2, MPC version 1.0.2
warning: MPFR header version 3.1.2 differs from library version 3.1.2-p11.
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
GNU C (GCC) version 4.9.2 (x86_64-pc-cygwin)
        compiled by GNU C version 4.9.2, GMP version 6.0.0, MPFR version 3.1.2, MPC version 1.0.2
warning: MPFR header version 3.1.2 differs from library version 3.1.2-p11.
GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
Compiler executable checksum: c41fcb4c7fc72aff019df8e89fe64f3e
regexi.c: In function ‘C_subr_regexp_regexp_compile’:
regexi.c:56:1: error: unrecognizable insn:
 }
 ^
(insn 349 348 350 35 (set (reg/f:DI 311)
        (plus:DI (symbol_ref:DI ("module__regexp__subr_tab") [flags 0x2] <var_decl 0x6fffb2af960 module__regexp__subr_tab>)
            (reg:DI 312))) regexi.c:54 -1
     (expr_list:REG_EQUAL (const:DI (plus:DI (symbol_ref:DI ("module__regexp__subr_tab") [flags 0x2] <var_decl 0x6fffb2af960 module__regexp__subr_tab>)
                (const_int 281474976710768 [0x1000000000070])))
        (nil)))
regexi.c:56:1: internal compiler error: in extract_insn, at recog.c:2202
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://gcc.gnu.org/bugs.html> for instructions.
Comment 1 Ken Brown 2015-02-04 20:56:03 UTC
Created attachment 34670 [details]
Preprocessed source
Comment 2 Ken Brown 2016-03-15 15:26:51 UTC
This bug is gone as of gcc 5.3.0.  It can be closed.
Comment 3 Ken Brown 2016-03-15 15:28:17 UTC
This bug is gone as of gcc 5.3.0.  It can be closed.
Comment 4 Andrew Pinski 2016-10-03 05:05:28 UTC
closing as fixed then.